Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Pango::AttrFamily Class Reference

A PangoAttrFamily C++ wrapper class. More...

`#include <inti/pango/attributes.h>`

Inheritance diagram for Inti::Pango::AttrFamily:

List of all members.

## Public Member Functions

Constructors

- AttrFamily (const String &font_family)
    Construct a new font family attribute.

## Detailed Description

A PangoAttrFamily C++ wrapper class.

AttrFamily wraps the font family name attribute (ATTR_FAMILY).

## Constructor & Destructor Documentation

Inti::Pango::AttrFamily::AttrFamily | ( | const String & | font_family | ) | `[explicit]`

  | Construct a new font family attribute. Parameters:
  font_family | The family or comma separated list of families.

The documentation for this class was generated from the following file:

- attributes.h

Main Page - Footer